toolzerhub API Docs

Get Instagram oEmbed data

Returns oEmbed data, including embed HTML and a thumbnail, for a public Instagram post or reel url. Optional maxwidth and maxheight (pixels) constrain the embed size.

1 credit / requestBilled only on success
GET
/v1/instagram/post/oembed

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

url*string

Public Instagram post or reel URL, for example https://www.instagram.com/p/DZpQwxqimz2/.

Length1 <= length
maxwidth?integer

Maximum embed width in pixels.

Range1 <= value <= 4096
maxheight?integer

Maximum embed height in pixels.

Range1 <= value <= 4096
curl -X GET "https://example.com/v1/instagram/post/oembed?url=https%3A%2F%2Fwww.instagram.com%2Fp%2FDZpQwxqimz2%2F" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "html": "string",    "width": 0,    "height": 0,    "thumbnail_url": "string",    "thumbnail_width": 0,    "thumbnail_height": 0,    "author_name": "string",    "author_url": "string",    "property1": null,    "property2": null  }}